org.apache.geode.security

## Interface SecurableCommunicationChannels

-     public interface SecurableCommunicationChannels

  This class defines all the static definitions for the `ConfigurationProperties.SSL_ENABLED_COMPONENTS` Since: Geode 1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALL` This determines that all components will be secured.
    `static java.lang.String` | `CLUSTER` This determines that the inter-server (or server-to-server) communication will be secured.
    `static java.lang.String` | `GATEWAY` This determines that the gateway communication will be secured.
    `static java.lang.String` | `JMX` This determines that test jmx communication will be secured.
    `static java.lang.String` | `LOCATOR` This determines that the locator communication will be secured.
    `static java.lang.String` | `SERVER` This determines that the client-server communication will be secured.
    `static java.lang.String` | `WEB` This determines that the http service communication will be secured.

- - ### Field Detail

    - #### ALL

          static final java.lang.String ALL

      This determines that all components will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### SERVER

          static final java.lang.String SERVER

      This determines that the client-server communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### CLUSTER

          static final java.lang.String CLUSTER

      This determines that the inter-server (or server-to-server) communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### JMX

          static final java.lang.String JMX

      This determines that test jmx communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### WEB

          static final java.lang.String WEB

      This determines that the http service communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### GATEWAY

          static final java.lang.String GATEWAY

      This determines that the gateway communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values

    - #### LOCATOR

          static final java.lang.String LOCATOR

      This determines that the locator communication will be secured. Since: Geode 1.0
      See Also:
        Constant Field Values